<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!--
IGAC proyecto SNC

@author 		javier.aponte
@version		2.0
@description 	Pantalla que permite ingresar los datos correspondientes 
                a proyecto finca para registrar ofertas inmobiliarias de proyectos usados
                CU-SA-AC-014 Registrar Ofertas de Mercado Inmobiliario Usados
                Todos los id's de los componentes terminan en F: Finca
@cu 			CU-AV-O-01
@param			proyectoFincaParam: 	Objeto de tipo OfertaInmobiliaria que almacenará los 
                valores de todo el formulario. 
@param			currentManagedBeanParam:  MB que contiene las opciones de registro de oferta 
                inmobiliaria

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             rendered="#{currentManagedBeanParam.banderaFinca}"
             xmlns:p="http://primefaces.org/ui" id="proyectoFincaId">

    <h:panelGrid columns="6" cellspacing="7" id="proyectoFincaInfoBasica"
                 columnClasses="colMediana, colPequena, colSeparador, colMediana, colPequena, colSeparador">

        <h:panelGroup>
            <h:outputLabel value="Área construcción / área privada (m2):"
                           for="areaConstruccionAreaPrivadaF" styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:inputText id="areaConstruccionAreaPrivadaF" maxlength="10"
                         label="Área Construcción / Área Privada"
                         value="#{proyectoFincaParam.areaConstruccion}" required="true">
                <f:validateDoubleRange minimum="1.0" />
            </h:inputText>
            <p:message for="areaConstruccionAreaPrivadaF" display="icon" />
        </h:panelGrid>
        <p:spacer />

        <h:panelGroup
            rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}">
            <h:outputLabel value="Área terreno (m2):" for="areaTerrenoF"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0"
                     rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}">
            <h:inputText id="areaTerrenoF" maxlength="10" label="Área Terreno"
                         value="#{proyectoFincaParam.areaTerreno}" required="true">
                <f:validateDoubleRange minimum="1.0" />
            </h:inputText>
            <p:message for="areaTerrenoF" display="icon" />
        </h:panelGrid>
        <p:spacer
            rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}" />

        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />
        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />
        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />

        <h:outputLabel value="Área total construida (catastral) (m2)"
                       for="areaTotalConstruidaF" styleClass="outputLabelStyle" />
        <h:outputText id="areaTotalConstruidaF" 
                      value="#{proyectoFincaParam.areaTotalConstruccionCata}" />
        <p:spacer />

        <h:outputLabel value="Área total terreno (catastral) (m2)"
                       for="areaTotalTerrenoF" styleClass="outputLabelStyle" />
        <h:outputText id="areaTotalTerrenoF" 
                      value="#{proyectoFincaParam.areaTotalTerrenoCatastral}" />
        <p:spacer />

        <h:outputLabel value="Tipo Finca" for="tipoFincaF"
                       styleClass="outputLabelStyle" />
        <h:selectOneMenu id="tipoFincaF" label="Tipo Finca"
                         value="#{proyectoFincaParam.tipoFinca}">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaTipoFincaV}" />
        </h:selectOneMenu>
        <p:spacer />

        <h:panelGroup>
            <h:outputLabel value="Unidad Área Terreno" for="unidadAreaTerrenoF"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:selectOneMenu id="unidadAreaTerrenoF" label="Unidad Área Terreno"
                             value="#{proyectoFincaParam.unidadArea}" required="true">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{general.ofertaUnidadAreaV}" />
            </h:selectOneMenu>
            <p:message for="unidadAreaTerrenoF" display="icon" />
        </h:panelGrid>
        <p:spacer />

        <h:outputLabel value="Topografía" for="topografiaF"
                       styleClass="outputLabelStyle" />
        <h:selectOneMenu id="topografiaF" label="Topografía"
                         value="#{proyectoFincaParam.topografia}">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaTopografiaV}" />
        </h:selectOneMenu>
        <p:spacer />

        <h:outputLabel value="Clima" for="climaF"
                       styleClass="outputLabelStyle" />
        <h:selectOneMenu id="climaF" label="Clima"
                         value="#{proyectoFincaParam.clima}">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaClimaV}" />
        </h:selectOneMenu>
        <p:spacer />

    </h:panelGrid>

    <h:panelGrid columns="6" cellspacing="7" id="infoRiegoF"
                 columnClasses="colMediana, colPequena, colSeparador, colMediana, colPequena, colSeparador">
        <h:panelGroup id="fincaRiego"
                      rendered="#{!currentManagedBeanParam.recursosHidricos}">
            <h:outputLabel value="Riego" for="riegoF"
                           styleClass="outputLabelStyle" />
            <h:selectBooleanCheckbox id="riegoF"
                                     value="#{currentManagedBeanParam.riego}" />
            <p:spacer />
        </h:panelGroup>
    </h:panelGrid>

    <h:panelGrid columns="1" id="recursosHidricosFinca">

        <p:separator />
        <h:panelGrid columns="2" cellspacing="7">
            <h:outputLabel value="Recursos Hídricos" for="recursosHidricosF"
                           styleClass="outputLabelStyle" />
            <h:selectBooleanCheckbox id="recursosHidricosF"
                                     value="#{currentManagedBeanParam.recursosHidricos}">
                <p:ajax
                    update=":registroOfertaInmobiliariaFormId:recursosHidricosFinca,
                    :registroOfertaInmobiliariaFormId:infoRiegoF"
                    listener="#{currentManagedBeanParam.cambiarRecursosHidricos}"
                    onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
            </h:selectBooleanCheckbox>
            <p:spacer />
        </h:panelGrid>

        <p:outputPanel rendered="#{currentManagedBeanParam.recursosHidricos}">
            <p:pickList
                value="#{currentManagedBeanParam.ofertasRecursosHidricos}"
                var="recursoHidrico" itemLabel="#{recursoHidrico}"
                itemValue="#{recursoHidrico}">
                <f:facet name="sourceCaption">Recursos Hídricos</f:facet>
                <f:facet name="targetCaption">Recursos Hídricos Oferta</f:facet>
            </p:pickList>
        </p:outputPanel>

        <p:separator />

        <h:panelGrid columns="1" id="casaFinca">
            <h:panelGrid columns="2" cellspacing="7">
                <h:outputLabel value="Casa" for="casaF"
                               styleClass="outputLabelStyle" />
                <h:selectBooleanCheckbox id="casaF"
                                         value="#{currentManagedBeanParam.casa}">
                    <p:ajax update=":registroOfertaInmobiliariaFormId:casaFinca"
                            onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
                </h:selectBooleanCheckbox>
                <p:spacer />
            </h:panelGrid>


            <h:panelGrid columns="6" cellspacing="7"
                         rendered="#{currentManagedBeanParam.casa}">
                <h:outputLabel value="No. Pisos" for="numeroPisosF"
                               styleClass="outputLabelStyle" />
                <h:inputText id="numeroPisosF" maxlength="4" label="No. Pisos"
                             value="#{proyectoFincaParam.numeroPisos}" />
                <p:spacer />

                <h:outputLabel value="No. Habitaciones" for="numeroHabitacionesF"
                               styleClass="outputLabelStyle" />
                <h:inputText id="numeroHabitacionesF" maxlength="4"
                             label="No. Habitaciones"
                             value="#{proyectoFincaParam.numeroHabitaciones}" />
                <p:spacer />

                <h:outputLabel value="No. Ba&ntilde;os" for="numeroBaniosF"
                               styleClass="outputLabelStyle" />
                <h:inputText id="numeroBaniosF" maxlength="4" label="No. Baños"
                             value="#{proyectoFincaParam.numeroBanios}" />
                <p:spacer />

                <h:outputLabel value="No. Parqueaderos" for="numeroParqueaderos"
                               styleClass="outputLabelStyle" />
                <h:inputText id="numeroParqueaderosF" maxlength="4"
                             label="No. Parqueaderos"
                             value="#{proyectoFincaParam.numeroParqueaderos}" />
                <p:spacer />

                <h:outputLabel value="No. Cocinas" for="numeroCocinasF"
                               styleClass="outputLabelStyle" />
                <h:inputText id="numeroCocinasF" maxlength="4" label="No. Cocinas"
                             value="#{proyectoFincaParam.numeroCocinas}">
                    <p:ajax update=":registroOfertaInmobiliariaFormId:casaFinca"
                            process=":registroOfertaInmobiliariaFormId:casaFinca" />
                </h:inputText>
                <p:spacer />

                <h:outputLabel value="Tipo Cocina" for="tipoCocinaF"
                               styleClass="outputLabelStyle" />
                <h:selectOneMenu id="tipoCocinaF" label="Tipo Cocina"
                                 value="#{proyectoFincaParam.tipoCocina}">
                    <f:selectItem itemLabel="Seleccionar..." />
                    <f:selectItems value="#{general.ofertaTipoCocinaV}" />
                </h:selectOneMenu>
                <p:spacer />

            </h:panelGrid>
        </h:panelGrid>

        <p:separator />

        <h:panelGrid columns="1" id="anexosFinca">
            <h:panelGrid columns="2" cellspacing="7">
                <h:outputLabel value="Anexos" for="anexosF"
                               styleClass="outputLabelStyle" />
                <h:selectBooleanCheckbox id="anexosF"
                                         value="#{currentManagedBeanParam.anexos}">
                    <p:ajax update=":registroOfertaInmobiliariaFormId:anexosFinca" />
                </h:selectBooleanCheckbox>
            </h:panelGrid>

            <h:panelGrid columns="3" cellspacing="7"
                         rendered="#{currentManagedBeanParam.anexos}">
                <h:outputLabel value="Descripción Anexos" for="descripcionAnexosF"
                               styleClass="outputLabelStyle" />
                <h:inputTextarea id="descripcionAnexosF" cols="85" rows="3"
                                 value="#{proyectoFincaParam.descripcionAnexos}" />
                <p:spacer />

                <h:outputLabel value="Descripción Construcciones"
                               for="descripcionConstruccionesF" styleClass="outputLabelStyle" />
                <h:inputTextarea id="descripcionConstruccionesF" cols="85" rows="3"
                                 value="#{proyectoFincaParam.descripcionConstrucciones}" />
                <p:spacer />
            </h:panelGrid>
        </h:panelGrid>

    </h:panelGrid>
</h:panelGrid>